
<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="form-group col-12 col-lg-4">
        <div class="form-row">
          <div class="form-group col-12">
            <div class="card mb-1">
              <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between"><a class="d-block" href="#divFiltros" data-toggle="collapse" role="button" aria-expanded="true" aria-controls="divFiltros">
                  <h6 class="m-0 font-weight-bold text-primary">Filtros</h6></a>
                <div class="dropdown no-arrow"><a class="dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-bars fa-sm fa-fw text-gray-400"></i></a>
                  <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink"><a class="dropdown-item h6" href="#" (click)="Descargar_Excel()"> <span class="fas fa-file-excel fa-sm fa-fw mr-2 text-gray-400"></span>Descargar Excel</a></div>
                </div>
              </div>
              <div class="card-body collapse show" id="divFiltros"> 
                <div class="form-row">                    
                  <div class="form-group col-12"> 
                    <ul class="nav nav-tabs" role="tablist">
                      <li class="nav-item"><a class="font-weight-bold text nav-link active" data-toggle="tab" href="#Clasificacion" role="tab" aria-controls="Clasificacion" aria-selected="true" id="Clasificacion-tab">Clasificación</a></li>
                      <li class="nav-item"><a class="font-weight-bold text nav-link" data-toggle="tab" href="#Fabricante" role="tab" aria-controls="Fabricante" aria-selected="true" id="Fabricante-tab">Fabricante</a></li>
                    </ul>
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-12"> 
                    <div class="tab-content" id="mvDatos">
                      <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Clasificacion-tab" id="Clasificacion">
                        <div class="form-row">  
                          <div class="form-group col-12">
                            <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Clase'" [data]="tClasificaciones1" [settings]="tConfiguracionClasificacion1" (onSelect)="SeleccionarClasificacion1($event)" (onDeSelect)="DeseleccionarClasificacion1()" size-select="sm"></ng-multiselect-dropdown>
                          </div>
                        </div>
                        <div class="form-row">  
                          <div class="form-group col-12">
                            <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Grupo'" [data]="tClasificaciones2" [settings]="tConfiguracionClasificacion2" (onSelect)="SeleccionarClasificacion2($event)" (onDeSelect)="DeseleccionarClasificacion2()" size-select="sm"></ng-multiselect-dropdown>
                          </div>
                        </div>
                        <div class="form-row">  
                          <div class="form-group col-12">
                            <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Categoria'" [data]="tClasificaciones3" [settings]="tConfiguracionClasificacion3" (onSelect)="SeleccionarClasificacion3($event)" (onDeSelect)="DeseleccionarClasificacion3()" size-select="sm"></ng-multiselect-dropdown>
                          </div>
                        </div>
                        <div class="form-row">  
                          <div class="form-group col-12">
                            <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Subcategoria'" [data]="tClasificaciones4" [settings]="tConfiguracionClasificacion4" (onSelect)="SeleccionarClasificacion4($event)" (onDeSelect)="DeseleccionarClasificacion4($event)" size-select="sm"> </ng-multiselect-dropdown>
                          </div>
                        </div>
                      </div>
                      <div class="tab-pane fade" role="tabpanel" aria-labelledby="Fabricante-tab" id="Fabricante">
                        <div class="form-row">  
                          <div class="form-group col-12">
                            <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Fabricante'" [data]="tFabricantes" [settings]="tConfiguracionFabricante" (onSelect)="SeleccionarFabricantes($event)" (onDeSelect)="DeseleccionarFabricantes()" size-select="sm"></ng-multiselect-dropdown>
                          </div>
                        </div>
                        <div class="form-row">  
                          <div class="form-group col-12">
                            <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Marca'" [data]="tMarcas" [settings]="tConfiguracionMarca" (onSelect)="SeleccionarMarcas($event)" (onDeSelect)="DeseleccionarMarca()" size-select="sm"></ng-multiselect-dropdown>
                          </div>
                        </div>
                        <div class="form-row">  
                          <div class="form-group col-12">
                            <ng-multiselect-dropdown class="ControlInput--Multiselect" [placeholder]="'Modelo'" [data]="tModelos" [settings]="tConfiguracionModelo" (onSelect)="SeleccionarModelo($event)" (onDeSelect)="DeseleccionarModelo($event)" size-select="sm"> </ng-multiselect-dropdown>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="card-footer">
                <div class="row">
                  <div class="col-12 col-lg-6">
                    <button class="btn btn-sm btn-primary btn-block btn-icon-split" type="button" (click)="BuscarArticulos()"><span class="icon text-white-50"><i class="fas fa-filter"></i></span><span class="text">Filtrar</span></button>
                  </div>
                  <div class="col-12 col-lg-6">
                    <button class="btn btn-sm btn-secondary btn-block btn-icon-split" type="button" (click)="Limpiar()"><span class="icon text-white-50"><i class="fas fa-broom"></i></span><span class="text">Limpiar    </span></button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-8">
        <div class="row">
          <div class="form-group col-12 col-lg-4">
            <div class="card border-left-primary shadow-sm h-100">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col mr-2">
                    <div class="font-weight-bold text-primary mb-1">Cantidad Articulos</div>
                    <div class="h6 mb-0 text-gray-800">{{ tArticulos.length | number:'1.0-0' }}</div>
                  </div>
                  <div class="col-auto">
                    <div class="fas fa-calculator fa-2x text-gray-300"></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-4">
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-shopping-cart"></i></span></div>
              <select class="ControlInput--Select" [(ngModel)]="tFiltroActual" size-select="sm">
                <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
              </select>
            </div>
          </div>
          <div class="form-group col-8">
            <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
          </div>
        </div>
        <div class="form-row" *ngFor="let tArticulo of tArticulos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
          <div class="form-group col-12">
            <div class="card border-left-primary shadow-sm h-100">
              <div class="card-body">
                <div class="row no-gutters align-items-center">
                  <div class="col-auto mr-2">
                    <div class="row no-gutters mb-2">
                      <div class="col"><img class="img-thumbnail rounded Articulo--Item-Imagen" [src]="tArticulo.Url" alt=""/></div>
                    </div>
                  </div>
                  <div class="col">
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Artículo: </span><span class="text-gray-800"> [ {{ tArticulo.Codarticulo }} ] {{ tArticulo.Descripcion }}                </span></div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Precio lista: </span><span class="text-gray-800">{{ tArticulo.Preciolista |  number:'1.2-5' | currency : tEmpresaActual.Simbolo }}</span></div>
                      </div>
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Precio1: </span><span class="text-gray-800">{{ tArticulo.Precio1 |  number:'1.2-5' | currency : tEmpresaActual.Simbolo }}  </span></div>
                      </div>
                    </div>
                    <div class="row no-gutters mb-2">                                                                
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Precio2: </span><span class="text-gray-800">{{ tArticulo.Precio2 |  number:'1.2-5' | currency : tEmpresaActual.Simbolo }}</span></div>
                      </div>
                      <div class="col">
                        <div class="h6"><span class="font-weight-bold text-primary">Precio3: </span><span class="text-gray-800">{{ tArticulo.Precio3 |  number:'1.2-5' | currency : tEmpresaActual.Simbolo }}        </span></div>
                      </div>
                    </div>
                  </div>
                  <div class="col-auto">
                    <div class="row no-gutters mb-2">
                      <div class="col">
                        <button class="btn btn-sm btn-success btn-block btn-icon-split" type="button" (click)="Descargar_Reportes(tArticulo)"><span class="icon text-white-50"><i class="fas fa-file-pdf"></i></span><span class="text">Descargar PDF</span></button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tArticulos.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag">                                  </ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>